## robocode
Class MouseClickedEvent

    java.lang.Object
      robocode.Event
          robocode.MouseEvent
              robocode.MouseClickedEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>

    public final class MouseClickedEvent

extends MouseEvent

A MouseClickedEvent is sent to `onMouseClicked()` when the mouse is clicked inside the battle view.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `MousePressedEvent`, `MouseReleasedEvent`, `MouseEnteredEvent`, `MouseExitedEvent`, `MouseMovedEvent`, `MouseDraggedEvent`, `MouseWheelMovedEvent`, Serialized Form

Constructor Summary
`MouseClickedEvent(MouseEvent source)` Called by the game to create a new MouseClickedEvent.

Method Summary

Methods inherited from class robocode.MouseEvent
`getSourceEvent`

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseClickedEvent

    public MouseClickedEvent(MouseEvent source)

  Called by the game to create a new MouseClickedEvent.

  Parameters:
    `source` - the source mouse event originating from the AWT.

Copyright © 2013 Robocode. All Rights Reserved.